#
#   Makefile for Ultra-C
#   Versions for OS9/68k V3.0.?
#   Posix-Mode C68
#
-o  #   U'l need this, believe me !
#
#
#  setenv  MWOS        /dd/MWOS
#  setenv  MWMAKEOPTS  -mode=c89
#
#   select harddisc or memcard drives here
GDRIVE  =   /dd        # vme
UDRIVE  =   /h0
#GDRIVE  =   /p1        # ips
#UDRIVE  =   /p1        # ips
#
#   extended ansi c mode
#   --------------------
#
PROJECT =   mbedit
DBG     =
#
#   For compile with debug, set "DBG=-g" option with invocation of make:
#   example: make PROJECT=fs20 DBG=-g
#
CC      =   cc -mode=c89 -awarn -ae -b
#
X       =   o       #   ROF - File - linking
#X      =   ic      #   i-code - linking
#
OS9VERSION  =   OS9_V3r0
#TCPVERSION  =   ASS_TCPIP
TCPVERSION =   MW_ISP
#
CPU         =   68060
#
FPU     =   _IEEE
#
DEBUG1  =   -D _NO_STDIO_MACROS
DEBUG2  =   -D DEBUG  -D FDEBUG                          # -D DEBUG_NET
DEBUG3  =   -D $(OS9VERSION)  -D $(TCPVERSION)
DEBUG4  =   -D $(PROJECT)
DEBUG   =   $(DEBUG1)  $(DEBUG2)  $(DEBUG3)  $(DEBUG4)
#
#
#SYSTEMS         =  $(DBG)  -O 0         -td /r0/TMP  -to OSK  -tp $(CPU)cd -i
#SYSTEMS         =  $(DBG)  -O 3         -td /r0/TMP  -to OSK  -tp $(CPU)cd -i
#SYSTEMS         =  $(DBG)  -O 3  -n 10  -td /r0/TMP  -to OSK  -tp $(CPU)cd -i
SYSTEMS         =  $(DBG)  -O 7  -n 10  -td /r0/TMP  -to OSK  -tp $(CPU)cd -i
NO_STACK_CHECK  =  -Wb,-ps
STACK_CHECK     =
MORE_STACK      =  -Wl,-M=5K
ADD_STACK       =  -Wl,-M=100
#
SYSTEM  =   $(SYSTEMS)  $(STACK_CHECK)  $(MORE_STACK)
#
#
HOME    =   .
SDIR    =   .
RDIR    =   .
IDIR    =   .
XDIR    =   $(RDIR)     #   ROF - File - linking
#XDIR   =   $(IDIR)     #   i-code - linking
LDIR    =   $(UDRIVE)/USERS/LIB
ODIR    =   ./OBJS/$(PROJECT)
CDIR    =   $(UDRIVE)/USERS/CMDS
#
#
UDEFS    =  $(UDRIVE)/USERS/IPS/DEFS
GLOBDEFS =  $(UDRIVE)/USERS/DEFS
LANDEFS  =  $(GLOBDEFS)/LAN
LIBDEFS  =  $(GLOBDEFS)/LIB
GEODEFS  =  $(GLOBDEFS)/GEO
#
#
#DEFSTCP =   $(GDRIVE)/OS9TCP/DEFS
#DEFSTCP =   $(GDRIVE)/ISP/DEFS
DEFSTCP =   $(GDRIVE)/MWOS/SRC/DEFS/UNIX
DEFSRPC =   $(GDRIVE)/NFS/DEFS

# for modes.h (stat.h)
#DEFSTAT =   $(GDRIVE)/BASE/OS9000/MWOS/OS9000/SRC/DEFS
#
PDEFS   =   \
            -I $(UDEFS) \
            -I $(LANDEFS) \
            -I $(LIBDEFS) \
            -I $(GEODEFS) \
            -I $(GLOBDEFS) \
            -I $(DEFSRPC) \
            -I $(DEFSTCP)
#
BERKLIB =   $(GDRIVE)/OS9TCP/LIB/berklib020.l
NETLIB  =   $(GDRIVE)/ISP/LIB/netdb_small020.l
SOCKLIB =   $(GDRIVE)/ISP/LIB/socklib020.l
RPCLIB  =   $(GDRIVE)/NFS/LIB/rpclib.l
TRAPLIB =   $(UDRIVE)/USERS/LIB/traplib.l
#
#
#
LIB     =   \
             $(LDIR)/lib542x.l \
             $(LDIR)/cclib.l \
             $(LDIR)/tclib.l \
             \
             $(RPCLIB) \
             $(NETLIB) \
             $(SOCKLIB) \
             $(TRAPLIB)
#
#
#
LIBS    =   \
          -l $(LDIR)/lib542x.l \
          -l $(LDIR)/cclib.l \
          -l $(LDIR)/tclib.l \
          \
          -l $(RPCLIB) \
          -l $(NETLIB) \
          -l $(SOCKLIB) \
          -l $(TRAPLIB) \
          -l unix.l \
          -l sys_clib.l
#
#
CFLAGS  =   $(SYSTEM) $(PDEFS) $(DEBUG)
LFLAGS  =   $(SYSTEM) $(LIBS)
LFLAGS1 =   $(SYSTEM) $(LIBS)  $(ADD_STACK)
#
#
.c.i    :
    $(CC)  $(CFLAGS)  -e io=$(IDIR)  $(SDIR)/$*.c
#
#
#
#   Programme 
#   ---------  
#
#

MODULE=$(PROJECT)
HFILES= config.h standard.h global.h

R_FILES= $(MODULE).o wildname.o directry.o \
          switches.o window.o perform.o \
          mbed_sub.o commands.o blocks.o \
          kb_input.o mon_outp.o paragraf.o \
          disp_hnd.o err_mess.o help_opt.o \
          mb_ctype.o microsft.o \
          memo_hnd.o file_hnd.o \
          vbios.o \
          calc.o     calchlp.o  calcevar.o calc_var.o \
          history.o macro.o

$(MODULE): $(R_FILES) makefile
 $(CC) $(LFLAGS) $(R_FILES) \
   -f $(MODULE)
 attr -e -pe $(MODULE)
 copy mbedit -r $(GDRIVE)/xcmds/mbedit


$(MODULE).o: $(MODULE).c $(MODULE).h $(HFILES)
wildname.o : wildname.c  wildname.h  $(HFILES)
directry.o : directry.c  directry.h  $(HFILES)
switches.o : switches.c  switches.h  $(HFILES)
window.o   : window.c    window.h    $(HFILES)
perform.o  : perform.c   perform.h   $(HFILES)
mbed_sub.o : mbed_sub.c  mbed_sub.h  $(HFILES)
commands.o : commands.c  commands.h  $(HFILES)
blocks.o   : blocks.c    blocks.h    $(HFILES)
kb_input.o : kb_input.c  kb_input.h  $(HFILES)
mon_outp.o : mon_outp.c  mon_outp.h  $(HFILES)
paragraf.o : paragraf.c  paragraf.h  $(HFILES)
disp_hnd.o : disp_hnd.c  disp_hnd.h  $(HFILES)
err_mess.o : err_mess.c  err_mess.h  $(HFILES)
help_opt.o : help_opt.c  help_opt.h  $(HFILES)
mb_ctype.o : mb_ctype.c  mb_ctype.h  $(HFILES)
microsft.o : microsft.c  microsft.h  $(HFILES)
memo_hnd.o : memo_hnd.c  memo_hnd.h  $(HFILES)
file_hnd.o : file_hnd.c  file_hnd.h  $(HFILES)
macro.o    : macro.c     macro.h     $(HFILES)
history.o  : history.c   history.h   $(HFILES)
vbios.o    : vbios.c     vbios.h     $(HFILES)
calc.o     : calc.c      calc.h      $(HFILES)
calchlp.o  : calchlp.c   calchlp.h   $(HFILES)
calcevar.o : calcevar.c              $(HFILES)
calc_var.o : calc_var.c  calc_var.h  $(HFILES)

